aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid 'Digit' Turner <digit@google.com>2011-10-03 08:55:10 +0200
committerDavid 'Digit' Turner <digit@google.com>2011-10-07 18:06:53 +0200
commit251da5e27a332d0d67f6db67c6caa3747a79b099 (patch)
tree824fd911de6a67f1eb13ae0c630d8b89734957c6
parent223fc9fca598b371b4429e25eaedfde57ac8d540 (diff)
downloadndk-251da5e27a332d0d67f6db67c6caa3747a79b099.tar.gz
prebuilt-common.sh: refinements
Change-Id: I26e43eef14ced900fade15058bd3d95b4fa3e369
-rw-r--r--build/tools/prebuilt-common.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/build/tools/prebuilt-common.sh b/build/tools/prebuilt-common.sh
index 5f6cc2fe8..d45e99687 100644
--- a/build/tools/prebuilt-common.sh
+++ b/build/tools/prebuilt-common.sh
@@ -746,6 +746,7 @@ parse_toolchain_name ()
case "$TOOLCHAIN" in
arm-linux-androideabi-*)
ARCH="arm"
+ ABI="armeabi"
ABI_CONFIGURE_TARGET="arm-linux-androideabi"
ABI_CONFIGURE_EXTRA_FLAGS="--with-arch=armv5te"
# Disable ARM Gold linker for now, it doesn't build on Windows, it
@@ -761,6 +762,7 @@ parse_toolchain_name ()
;;
x86-*)
ARCH="x86"
+ ABI=$ARCH
ABI_INSTALL_NAME="x86"
ABI_CONFIGURE_TARGET="i686-android-linux"
# Enable C++ exceptions, RTTI and GNU libstdc++ at the same time
@@ -851,6 +853,24 @@ convert_abi_to_arch ()
echo "$RET"
}
+get_default_abi_for_arch ()
+{
+ local RET
+ case $1 in
+ arm)
+ RET="armeabi"
+ ;;
+ x86)
+ RET="x86"
+ ;;
+ *)
+ 2> echo "ERROR: Unsupported architecture name: $1, use one of: arm x86"
+ exit 1
+ ;;
+ esac
+ echo "$RET"
+}
+
# Retrieve the list of default ABIs supported by a given architecture
# $1: Architecture name
# Result: space-separated list of ABI names